package com.libreecm.commonAPI.model.enums;

/**
 * Capability Enum: Changes.
 */
public enum CapabilityChanges {

    NONE("none"), OBJECTIDSONLY("objectidsonly"), PROPERTIES("properties"), ALL("all");
    private final String value;

    CapabilityChanges(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CapabilityChanges fromValue(String v) {
        for (CapabilityChanges c : CapabilityChanges.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}